@import "libs/shared/assets/src/global-style/variable";

.btn-fixed-right {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  position: fixed;
  top: 134px;
  z-index: 1000;
  right: 25px;
}

:host {
  min-height: 100%;


  .image-body {
    max-height: 45vh;
    min-height: 45vh;
    overflow-y: auto;
  }

  .selected-image {
    ::ng-deep {
      .img-item {
        border: 2.84936px solid #141ED2;
      }
    }
  }

  .img-item {
    display: flex;
    justify-content: center;
  }

  .send {
    min-height: 740px;
    &__left {
      .label__divider--wrap {
        margin-bottom: 15px;
      }
      .label__divider {
        font-size: 18px;
        font-weight: 700;
        font-family: avertaB, serif;
      }
      padding: 5px
    }
    &__right {
      min-height: 100%;
      padding: 5px;
      .current-point {
        display: flex;
        justify-content: center;
        min-height: 160px;
        align-content: space-between;
        background: url(/assets/img/angle-it/bg-point.png) no-repeat 100% 100%;
        background-size: cover;
        background-position: left;
        border-radius: 8px;
        margin-bottom: 15px;
        display: flex;
        align-items: center;
        &__label {
          &__label {
            font-weight: 700;
            font-size: 18px;
            line-height: 150%;
            color: $white;
          }
          &__point {
            font-weight: 700;
            font-size: 24px;
            line-height: 36px;
            color: $white;
            &__point {
              font-weight: 400;
              font-size: 16px;
              line-height: 24px;
            }
          }
        }
      }
      .send-thanks {
        min-height: 544px;
        align-content: space-between;
        background: url(/assets/img/angle-it/bg-send-thanks.png) no-repeat 100% 100%;
        background-size: cover;
        background-position: center;
        border-radius: 8px;
        .send-form {
          padding: 80px 40px 0 40px;
          ::ng-deep {
            .input__label {
              color: $white;
            }
          }
        }
      }
    }
  }
}
.point-suffix {
  color: $bg-gray-placeholder;
  font-size: 14px;
}

@media screen and (max-width: 1920px) {
  ::ng-deep {
    .img-item {
      width: 245px;
      height: auto;
      .img-item {
        width: 245px !important;
        height: 182px !important;
      }
      .image-loading-wrap {
        width: 245px !important;
        height: 182px !important;
      }
    }
  }
}

@media screen and (max-width: 1556px) {
  ::ng-deep {
    .img-item {
      width: 217px;
      height: auto;
      .img-item {
        width: 205px !important;
        height: 155px !important;
      }
      .image-loading-wrap {
        width: 205px !important;
        height: 155px !important;
      }
    }
  }
}

@media screen and (max-width: 1440px) {
  ::ng-deep {
    .img-item {
      width: 206px;
      height: auto;
      .img-item {
        width: 196px !important;
        height: 150px !important;
      }
      .image-loading-wrap {
        width: 196px !important;
        height: 150px !important;
      }
    }
    .title {
      font-weight: 500 !important;
      font-size: 30px !important;
    }
  }
}

@media screen and (max-width: 1366px) {
  ::ng-deep {
    .img-item {
      width: 193px;
      height: auto;
      .img-item {
        width: 183px !important;
        height: 140px !important;
      }
      .image-loading-wrap {
        width: 183px !important;
        height: 140px !important;
      }
    }
    .title {
      font-weight: 400 !important;
      font-size: 20px !important;
    }
  }
}

@media screen and (max-width: 1280px) {
  ::ng-deep {
    .img-item {
      width: 179px;
      height: auto;
      .img-item {
        width: 169px !important;
        height: 130px !important;
      }
      .image-loading-wrap {
        width: 169px !important;
        height: 130px !important;
      }
    }
    .title {
      font-weight: 300 !important;
      font-size: 15px !important;
    }
  }
}

@media screen and (max-width: 1024px) {
  ::ng-deep {
    .img-item {
      width: 137px;
      height: auto;
      .img-item {
        width: 127px !important;
        height: 100px !important;
      }
      .image-loading-wrap {
        width: 127px !important;
        height: 100px !important;
      }
    }
    .title {
      font-weight: 300 !important;
      font-size: 15px !important;
    }
  }
}






